Replace Meta agent connector tool
Replace the tool definition.
curl --request PUT \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "check_order_status",
"description": "<string>",
"request_definition": {
"path": "/orders/{order_id}",
"path_parameters": {},
"query_parameters": {},
"headers": {}
},
"user_auth_required": true,
"transformation_spec": {
"version": 1,
"steps": [
{
"target": "<string>",
"params": "<string>"
}
]
}
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id}"
payload = {
"name": "check_order_status",
"description": "<string>",
"request_definition": {
"path": "/orders/{order_id}",
"path_parameters": {},
"query_parameters": {},
"headers": {}
},
"user_auth_required": True,
"transformation_spec": {
"version": 1,
"steps": [
{
"target": "<string>",
"params": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'check_order_status',
description: '<string>',
request_definition: {
path: '/orders/{order_id}',
path_parameters: {},
query_parameters: {},
headers: {}
},
user_auth_required: true,
transformation_spec: {version: 1, steps: [{target: '<string>', params: '<string>'}]}
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/connectors/{connector_id}/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"request_definition": {
"method": "GET",
"path": "/orders/{order_id}",
"path_parameters": {},
"query_parameters": {},
"headers": {},
"body": {
"content_type": "application/json",
"params": {},
"required": [
"<string>"
]
}
},
"user_auth_required": true,
"user_auth_action_config": {
"user_action_tool_type": "auth",
"user_auth_token_path": "<string>",
"refresh_token_path": "<string>",
"expires_at_path": "<string>",
"expires_at_type": "absolute"
},
"transformation_spec": {
"version": 1,
"steps": [
{
"kind": "allowlist",
"target": "<string>",
"params": "<string>"
}
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the connector
The ID of the connector tool
Body
1 - 256"check_order_status"
What the tool does. The agent decides when to call it from this.
1 - 1024Show child attributes
Show child attributes
Send the customer's own sign-in token with the call.
Marks a tool that signs the customer in: where Meta reads the customer's token in the response.
Show child attributes
Show child attributes
On an update, leave it out to keep it, or send null to remove it.
Show child attributes
Show child attributes
Response
Show child attributes
Show child attributes
Marks a tool that signs the customer in: where Meta reads the customer's token in the response.
Show child attributes
Show child attributes
Up to 5 steps that trim the response before the agent reads it.
Show child attributes
Show child attributes
Was this page helpful?
